Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.edit.provider
Class FacetItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.gmt.modisco.infra.facet.util.FacetAdapterFactory
              org.eclipse.gmt.modisco.infra.facet.edit.provider.FacetItemProviderAdapterFactory

    public class FacetItemProviderAdapterFactory

extends FacetAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`FacetItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` | `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` | `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` | `createFacetAdapter()` This creates an adapter for a `Facet`.
`Adapter` | `createFacetAttributeAdapter()` This creates an adapter for a `FacetAttribute`.
`Adapter` | `createFacetReferenceAdapter()` This creates an adapter for a `FacetReference`.
`Adapter` | `createFacetSetAdapter()` This creates an adapter for a `FacetSet`.
`Adapter` | `createShortcutAdapter()` This creates an adapter for a `Shortcut`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.gmt.modisco.infra.facet.util.FacetAdapterFactory
`createAdapter, createEAttributeAdapter, createEClassAdapter, createEClassifierAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createEPackageAdapter, createEReferenceAdapter, createEStructuralFeatureAdapter, createETypedElementAdapter, createFacetStructuralFeatureAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetItemProviderAdapterFactory

    public FacetItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createFacetAdapter

    public Adapter createFacetAdapter()

  This creates an adapter for a `Facet`.

  Overrides:
    `createFacetAdapter` in class `FacetAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Facet`

### createFacetAttributeAdapter

    public Adapter createFacetAttributeAdapter()

  This creates an adapter for a `FacetAttribute`.

  Overrides:
    `createFacetAttributeAdapter` in class `FacetAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetAttribute`

### createFacetReferenceAdapter

    public Adapter createFacetReferenceAdapter()

  This creates an adapter for a `FacetReference`.

  Overrides:
    `createFacetReferenceAdapter` in class `FacetAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetReference`

### createFacetSetAdapter

    public Adapter createFacetSetAdapter()

  This creates an adapter for a `FacetSet`.

  Overrides:
    `createFacetSetAdapter` in class `FacetAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetSet`

### createShortcutAdapter

    public Adapter createShortcutAdapter()

  This creates an adapter for a `Shortcut`.

  Overrides:
    `createShortcutAdapter` in class `FacetAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Shortcut`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `FacetAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD